### Function

# FwupdPlugin input_stream_read_u8

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_input_stream_read_u8 (
      GInputStream* stream,
      gsize offset,
      guint8* value,
      GError** error
    )

#### Description [src]

Read a value from a stream using a specified endian in a safe way.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`offset`

  Type: `gsize`

  Offset in bytes into `stream` to copy from.

`value`

  Type: `guint8*`

  The parsed value.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was set, `FALSE` otherwise.